Avere vFXT kümesini takma

İstemci makinelerini vFXT kümenize bağlamak için bu adımları izleyin.

  1. Küme düğümleriniz arasında istemci trafiğinin yükünü dengelemeye karar verin. Ayrıntılar için aşağıdaki İstemciyükünü dengeleme makalesini okuyun.
  2. Bağlantı için IP adresini ve birleşim yolunu belirleme.
  3. Bağlama komutunu uygunbağımsız değişkenlerle birlikte kullanın.

İstemci yükünü dengeleme

İstemci isteklerini kümedeki tüm düğümler arasında dengelemeye yardımcı olmak için, istemcileri istemciye yönelik tüm IP adresleri aralığına bağlamanız gerekir. Bu görevi otomatikleştirmenin birkaç basit yolu vardır.

İpucu

Diğer yük dengeleme yöntemleri büyük veya karmaşık sistemler için uygun olabilir; yardım için bir destek bileti açın.)

Otomatik sunucu tarafı yük dengeleme için bir DNS sunucusu kullanmayı tercih ediyorsanız, Azure'da kendi DNS sunucularınızı ayarlamanız ve yönetmeniz gerekir. Bu durumda, vFXT kümesi için bir kez deneme DNS'yi şu belgeye göre yapılandırabilirsiniz: Avere kümesi DNS yapılandırması.

Örnek dengeli istemci bağlama betiği

Bu kod örneği, istemcileri tüm vFXT kümesi kullanılabilir IP adreslerine dağıtmak için istemci IP adreslerini rastgele bir öğe olarak kullanır.

function mount_round_robin() {
    # to ensure the nodes are spread out somewhat evenly the default
    # mount point is based on this node's IP octet4 % vFXT node count.
    declare -a AVEREVFXT_NODES="($(echo ${NFS_IP_CSV} | sed "s/,/ /g"))"
    OCTET4=$((`hostname -i | sed -e 's/^.*\.\([0-9]*\)/\1/'`))
    DEFAULT_MOUNT_INDEX=$((${OCTET4} % ${#AVEREVFXT_NODES[@]}))
    ROUND_ROBIN_IP=${AVEREVFXT_NODES[${DEFAULT_MOUNT_INDEX}]}

    DEFAULT_MOUNT_POINT="${BASE_DIR}/default"

    # no need to write again if it is already there
    if ! grep --quiet "${DEFAULT_MOUNT_POINT}" /etc/fstab; then
        echo "${ROUND_ROBIN_IP}:${NFS_PATH}    ${DEFAULT_MOUNT_POINT}    nfs hard,proto=tcp,mountproto=tcp,retry=30 0 0" >> /etc/fstab
        mkdir -p "${DEFAULT_MOUNT_POINT}"
        chown nfsnobody:nfsnobody "${DEFAULT_MOUNT_POINT}"
    fi
    if ! grep -qs "${DEFAULT_MOUNT_POINT} " /proc/mounts; then
        retrycmd_if_failure 12 20 mount "${DEFAULT_MOUNT_POINT}" || exit 1
    fi
}

Yukarıdaki işlev, Avere vFXT examples sitesinde bulunan Batch örneğinin bir parçasıdır.

Bağlama komutunu oluşturma

Not

Avere vFXT kümenizi oluştururken yeni bir Blob kapsayıcısı oluşturmadıysanız, istemcileri bağlamaya çalışmadan önce Depolamayı yapılandırma konusunda açıklandığı gibi depolama sistemleri ekleyin.

İstemcinizin komutu, vFXT kümesinde sanal mount sunucuyu (vserver) yerel dosya sistemi üzerinde bir yola eşler. Biçim şu şekildedir: mount <vFXT path> <local path> {options}

Bağlama komutu üç öğe içerir:

  • vFXT yolu - aşağıda 9 olarak ifade düğümlenmiş kümede bir IP adresi ve ad alanı birleşim yolunun birleşimi)
  • yerel yol - istemcinin yolu
  • bağlama komutu seçenekleri - Bağlama komutu bağımsız değişkenleri içinde listelenir

Birleşim ve IP

vserver yolu, IP adresinin ve ad alanı birleşiminin yolunun birleşimidir. Ad alanı birleşim, depolama sistemi eklenmiştir.

Kümeniz Blob depolama ile oluşturuldu ise, bu kapsayıcının ad alanı yolu şudur: /msazure

Örnek: mount 10.0.0.12:/msazure /mnt/vfxt

Kümeyi oluşturdukta depolama eklediyebilirsiniz, ad alanı birleşim yolu, birleşim oluştururken Ad alanı yolu'nda ayar değerinizdir. Örneğin, ad alanı /avere/files yolunuz olarak kullandıysanız istemcileriniz :/avere/IP_address yerel bağlama noktasına bağlar.

Ad alanı yolu alanında /avere/files ile "Yeni birleşim ekle" iletişim kutusu

IP adresi, vserver için tanımlanan istemciye yönelik IP adreslerinden biri. İstemciye yönelik IP'ler aralığını Avere bağlantı Denetim Masası:

  • VServers tablosu (Pano sekmesi) -

    Avere panosunun Denetim Masası grafiğin altındaki veri tablosunda VServer sekmesi seçilmiş ve IP adresi bölümü daire içine seçilmiş

  • İstemciye Yönelik Ağ ayarları sayfası -

    Ayarlar > VServer > ağ yapılandırma sayfasında belirli bir vserver için tablonun Adres Aralığı bölümünün etrafında bir daire ile birlikte

Yollara ek olarak, her istemciyi bağlarken aşağıda açıklanan Bağlama komutu bağımsız değişkenlerini de dahil edin.

Bağlama komutu bağımsız değişkenleri

Sorunsuz bir istemci bağlaması sağlamak için bağlama komutunda şu ayarları ve bağımsız değişkenleri değiştirin:

mount -o hard,proto=tcp,mountproto=tcp,retry=30 ${VSERVER_IP_ADDRESS}:/${NAMESPACE_PATH} ${LOCAL_FILESYSTEM_MOUNT_POINT}

Gerekli ayarlar Description
hard vFXT kümesine yapılan yumuşak bağlamalar, uygulama hataları ve olası veri kaybıyla ilişkilendirilmektedir.
proto=netid Bu seçenek NFS ağ hatalarının uygun şekilde işlenmesini destekler.
mountproto=netid Bu seçenek, bağlama işlemleri için ağ hatalarının uygun şekilde işlenmesini destekler.
retry=n Geçici retry=30 bağlama hatalarından kaçınmak için ayarlayın. (Ön plan bağlamalarında farklı bir değer önerilir.)

Sonraki adımlar

İstemcileri taktırdıktan sonra, bunları kullanarak kümeniz üzerinde yeni bir Blob depolama kapsayıcısı verileri kopyaabilirsiniz. Yeni depolama alanını doldurmak zorunda değilsanız, ek kurulum görevleri hakkında bilgi edinmek için diğer bağlantıları okuyun: